uniform float4x4 wvp:VIEWPROJECTION;

uniform texture tex0;

sampler2D mysamplerstate = sampler_state
{
	Texture = <tex0>; MinFilter = Linear;
	MagFilter = Linear; MipFilter = Linear;
};

void MyVS(float4 pos:POSITION, float3 normal:NORMAL,
	float4 col:COLOR, float2 tc:TEXCOORD0,
	out float4 opos:POSITION, out float4 ocol:COLOR,
	out float2 otc:TEXCOORD0)
{
	opos = mul(pos, wvp);
	ocol = col;
	otc = tc;
};

float4 MyPS(float4 pos:POSITION, float4 col:COLOR, float2 tc:TEXCOORD0):COLOR
{
	return col*tex2D(mysamplerstate, tc);
}

technique MyEffect
{
	pass P0
	{
		VertexShader = compile vs_2_0 MyVS();
		PixelShader  = compile ps_2_0 MyPS();
	}
}